Entities\Project:
    type: entity
    table: project
    repositoryClass: Repositories\ProjectRepository
    id:
        id:
            type: integer
            generator:
                strategy: AUTO
    fields:
        title:
            type: string
            nullable: false
        active:
            type: boolean
            nullable: false
        position:
            type: integer
            nullable: false
        description:
            type: text
            nullable: false
    oneToOne:
        resource:
            targetEntity: Entities\Resource
            joinColumnName: img
            referencedColumnName: id
            cascade: [persist, remove]
 
    lifecycleCallbacks: { }